LISTMENU "MainMenu"
{
	IfGame(Doom, Chex)
	{
		StaticPatch 94, 2, "M_DOOM"
		Position 97, 72
		IfOption(ReadThis)
		{
			Position 97, 64
		}
	}
	IfGame(Strife)
	{
		StaticPatch 84, 2, "M_STRIFE"
		Position 97, 45
	}
	IfGame(Heretic)
	{
		StaticPatch 88, 0, "M_HTIC"
		StaticPatch 40, 10, "M_SKL01"
		StaticPatch 232, 10, "M_SKL00"
		Position 110, 56
	}
	IfGame(Hexen)
	{
		StaticPatch 88, 0, "M_HTIC"
		StaticPatch 37, 80, "FBULB0"
		StaticPatch 278, 80, "FBULA0"
		Position 110, 56
	}
	
	IfGame(Doom, Strife, Chex)
	{
		Font "DBIGFONT", "MenuWhite"
		TextItem "SinglePlayer", "s", "PlayerclassMenu"
		TextItem "Multiplayer", "m", "ZA_MultiplayerOptions" // [Lego]
		TextItem "Player Setup", "p", "PlayerMenu"
		TextItem "Options", "o", "OptionsMenu"
		TextItem "UkiWep Settings", "l", "UkiWepSettings" 
		TextItem "Quit Game", "q", "QuitMenu"
	}
	
	IfGame(Heretic, Hexen)
	{
		TextItem "$MNU_NEWGAME", "n", "PlayerclassMenu"
		TextItem "$MNU_OPTIONS", "o", "OptionsMenu"
		TextItem "$MNU_GAMEFILES", "g", "GameFilesMenu"
		TextItem "$MNU_INFO", "i", "ReadThisMenu"
		TextItem "$MNU_QUITGAME", "q", "QuitMenu"
	}
}

OptionMenu "UkiWepSettings"
{
    Title "UkiWep Settings" 
	StaticText ""
	Option "The Weapon Selection" ,"Sv_UkiWeps","TheWeaponSelection"
	StaticText "Changes the spawners on map load (Server)"
	StaticText "In the console its Sv_UkiWeps 0, 1, or 2"
	StaticText ""
	Option "Bass Burst Buster" ,"Sv_BassBuster","BassBusterMode"
	StaticText "Changes the Bass Buster into one from MM&Bass (Server)"
	StaticText "In the console its Sv_BassBuster 0 or 1"
	StaticText ""
	Option "Revolver Buster Hud" ,"Cl_UkiRevolverMode","UkiRevolverMode"
	StaticText "Changes the look of the Revolver Buster hud for that player"
	StaticText "In the console its Cl_UkiRevolverMode 0 or 1"
	
	}


OptionValue "TheWeaponSelection"
{
0,"Weapons are Random"
1,"Ukiweps only random"
2,"Weps are random with 1 other"
}

OptionValue "UkiRevolverMode"
{
0,"Uki's Hud"
1,"Kenkoru's Hud"
}

OptionValue "BassBusterMode"
{
0,"Standard Bass Buster"
1,"Bass Burst Buster"
}

